/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * Driver for Solarflare network controllers and boards
 * Copyright 2019 Solarflare Communications Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published
 * by the Free Software Foundation, incorporated herein by reference.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef SFC_HP_OCSD_H
#define SFC_HP_OCSD_H

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#include <gpxe/pci.h>
#include <gpxe/hp_ocsd.h>
#include "../efx.h"

int hp_ocsd_start ( struct pci_device *pci );

#endif
