/*
 * SPDX-License-Identifier: GPL-2.0+
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2, or (at
 * your option) any later version.
 *
 * You can also choose to distribute this program under the terms of
 * the Unmodified Binary Distribution Licence (as given in the file
 * COPYING.UBDL), provided that you have satisfied its requirements.
 */
#ifndef CONFIG_CONSOLE_H
#define CONFIG_CONSOLE_H

/** @file
 *
 * Console configuration
 *
 * These options specify the console types that Etherboot will use for
 * interaction with the user.
 *
 */

FILE_LICENCE ( GPL2_OR_LATER_OR_UBDL );

#define	LOG_LEVEL	LOG_NONE

#include <config/defaults.h>

//#define	CONSOLE_PCBIOS		/* Default BIOS console */
//#define	CONSOLE_SERIAL		/* Serial port */
//#define	CONSOLE_DIRECT_VGA	/* Direct access to VGA card */
//#define	CONSOLE_BTEXT		/* Who knows what this does? */
//#define	CONSOLE_PC_KBD		/* Direct access to PC keyboard */
#define	CONSOLE_SYSLOG	 CONSOLE_USAGE_ALL 	/* Syslog console */

#endif /* CONFIG_CONSOLE_H */
